

$(document).ready(function(){
    $.areaSelect = function(init){

        var Province,State,City;
        var CityJson;
        var wed;
        createDom();
        writeData();
        replyOperation();
        var myscrol0 = new iScroll("wrapper0",{
            hScroll:false, vScrollbar:false,onScrollEnd:function(){

            }
        });

        /*var myscroll1 = new iScroll("wrapper1");
         var myscroll2 = new iScroll("wrapper2");*/
        /*生成地区选择界面结构*/
        function createDom(){
            var html='';
            html+='<div class="sg-mask">';
            html+='<div class="popups-box">';
            html+='<div class="title-min"><span class="query">取消</span>请选择地区<span class="submit">确定</span></div>';
            html+='<div class="title-max">请选择地区<span class="close">X</span></div>';
            html+='<div class="result-box">';
            html+='<label>已选择</label>';
            html+='<input id="hasCheck" type="text" name="area" />';
            html+='</div>';
            html+='<div class="tab-box">';
            html+='<div class="tab-menu">';
            html+='<ul>';
            html+='<li class="tab-1 isCheck">省份</li>';
            html+='<li class="tab-2">城市</li>';
            html+='<li class="tab-3">县区</li>';
            html+='</ul>';
            html+='</div>';
            html+='<div class="content-box">';
            html+='<div id="wrapper0" class="tab-content tab-list-1 isBlock">';
            html+='<ul></ul>';
            html+='</div>';
            html+='<div id="wrapper1"  class="tab-content tab-list-2">';
            html+='<ul></ul>';
            html+='</div>';
            html+='<div id="wrapper2"  class="tab-content tab-list-3">';
            html+='<ul></ul>';
            html+='</div>';
            html+='</div>';
            html+='</div> ';
            html+='<div class="footer">';
            html+='<button id="submitBtn">确定</button>';
            html+='</div> ';
            html+='</div>';
            html+='</div>';
            $('body').append(html);

            //$('.popups-box').addClass('fadeUp');
            $(".popups-box").show().animate({bottom:'0px'})
        }
        /*样式设置*/
        function setDomStyle(){
        }



        /*选择操作响应*/
        function replyOperation(){
            wed = [];
            var provinceDom ='';
            var regionCode = 11;
            var cityCode = '0'+1;

            //PC端页签切换
            var listOne = $('.tab-list-1');
            var listtwo = $('.tab-list-2');
            var listthree = $('.tab-list-3');
            $('.tab-1').click(function(){
                listOne.addClass('isBlock').siblings().removeClass('isBlock');
                $(this).addClass('isCheck').siblings().removeClass('isCheck');
            })
            $('.tab-2').click(function(){
                listtwo.addClass('isBlock').siblings().removeClass('isBlock');
                $(this).addClass('isCheck').siblings().removeClass('isCheck');
            })
            $('.tab-3').click(function(){
                listthree.addClass('isBlock').siblings().removeClass('isBlock');
                $(this).addClass('isCheck').siblings().removeClass('isCheck');
            })

            for(var i= 0;i< CityJson.length;i++){
                provinceDom += '<li><a>'+CityJson[i].region.name+'<input value='+CityJson[i].region.code+' style="display:none"  /></a></li>';
            }
            $('.tab-list-1 ul').html(provinceDom);

            //PC端选择省份
            $('.tab-list-1 li a').click(function(){
                $(this).parent().addClass('minISClick').siblings().removeClass('minISClick');
                regionCode = $(this).children('input').val();
                Province = $(this).text();
                $('#hasCheck').val(Province);
                $('.tab-list-2 ul').empty();
                $('.tab-list-3 ul').empty();
                createState();
                //PC端选择城市
                $('.tab-list-2 li a').click(function(){
                    $(this).parent().addClass('minISClick').siblings().removeClass('minISClick');
                    cityCode = $(this).children('input').val();
                    State = $(this).text();
                    $('#hasCheck').val(Province+'-'+State);
                    $('.tab-list-3 ul').empty();
                    createCity();
                    //PC端选择县区
                    $('.tab-list-3 li a').click(function(){
                        $(this).parent().addClass('minISClick').siblings().removeClass('minISClick');
                        City = $(this).text();
                        var ionCode = $(this).children('input').val();
                        $('#hasCheck').val(Province+' '+State+' '+City);
                        wed.push(regionCode,cityCode,ionCode);


                    })

                })

            })


            //创建二级菜单
            //创建二级菜单
            function createState(){
                var stateDom = '';
                for(var j= 0;j< CityJson.length;j++){
                    if(CityJson[j].region.code == regionCode){
                        for(var k=0;k<CityJson[j].region.city.length;k++){
                            stateDom += '<li><a>'+CityJson[j].region.city[k].name+'<input value="'+CityJson[j].region.city[k].code+'" style="display:none" /></a></li>';
                        }
                        $('.tab-list-2 ul').html(stateDom);
                    }
                }

                //页签切换
                $('.tab-2').click();
                var myscrol1 = new iScroll("wrapper1",{
                    hScroll :false, vScrollbar:false,
                });
            }

            //创建三级菜单
            function createCity(){
                var cityDom='';
                for(var j= 0;j< CityJson.length;j++){
                    if(CityJson[j].region.code == regionCode){
                        for(var k=0;k<CityJson[j].region.city.length;k++){
                            if(CityJson[j].region.city[k].code == cityCode){
                                for(var l=0;l<CityJson[j].region.city[k].area.length;l++){
                                    cityDom += '<li><a>'+CityJson[j].region.city[k].area[l].name+'<input value="'+CityJson[j].region.city[k].area[l].code+'" style="display:none" /></a></li>';
                                }
                                $('.tab-list-3 ul').html(cityDom);
                            }

                        }
                    }
                }
                //页签切换
                $('.tab-3').click();
                var myscrol2 = new iScroll("wrapper2",{
                    hScroll :false, vScrollbar:false,
                });
            }
        }

        /*PC关闭操作响应*/
        $('.popups-box .close').click(function(){
            $('.sg-area-result').val($('#hasCheck').val());
            $('.sg-mask').css('display','none');
            $('.sg-mask').remove();

        });
        /*PC确定操作响应*/
        $('#submitBtn').click(function(){
            $('.sg-area-result').val($('#hasCheck').val());
            $('.sg-mask').css('display','none');
            $('.sg-mask').remove();
        });


        /*移动端取消操作响应*/
        $('.title-min .query').on('click',function(){
            $('#wed p').text();
            $(".popups-box").show().animate({bottom:'-251px'},function(){
                $('.sg-mask').css('display','none');
                $('.sg-mask').remove();
            })

        })

        /*移动端确定操作响应*/
        $('.title-min .submit').on('click',function(){
            el = document.getElementById('sales-area');
            li = document.createElement('li');
            li.innerHTML =
                '<p>'
                +$('#hasCheck').val()
                +'</p>'
                + '<a onclick="removeSales(this)">'
                + '<img src="/static/weixin/images/trash-gray.png" />'
                +  ' <input  type="hidden" value="'+wed[0]+'" name="province">'
                +  ' <input  type="hidden" value="'+wed[1]+'" name="city">'
                +  ' <input  type="hidden" value="'+wed[2]+'" name="district">'
                + '</a>'

            el.appendChild(li, el.childNodes[0]);


            $(".popups-box").show().animate({bottom:'-251px'},function(){
                $('.sg-mask').css('display','none');
                $('.sg-mask').remove();
            })
        })
        /*地区信息*/
        function writeData(){
            var  companyId=$("#cid").val();
            $.ajax({
                type: 'POST',
                url: "/weixin/index/getCompanyRegionJson",
                data:{companyId:companyId},
                dataType:"json",
                async: false,
                success: function(data){
                    CityJson=data;
                }
            });
        }
    }

})